## 7.2.1: Bug Fixes and Stability Improvements
What's new in version 7.2.1?

- **Bug Fix** - Removing a registered device while transferring should now stop the transfer and disconnect the device's WiFi network
- **Bug Fix** - The app will no longer scan WiFi networks if there is no WiFi adapter/WiFi card present
- **Bug Fix** - Toshiba FlashAir transfer progress is now more accurate
- **Bug Fix** - Addressed an issue with incorrect Toshiba FlashAir transfer counts
- **Bug Fix** - Set a maximum file size of 1.9 GB for transfers from Toshiba FlashAir W-03 card due to a file transfer size limitation of the FlashAir W-03
- **Bug Fix** - Addressed an issue in which an error could occur when the app was performing a synchronization operation from Keenai Cloud.
- **Bug Fix** - Upload visuals should now have a smoother progress bar.
- **Bug Fix** - Download operations should start much faster for accounts who have a large number of files
- **Bug Fix** - Downloads should no longer include items that were moved to Trash.
- **Bug Fix** - Downloads should now be prioritized based on newer files synchronized to Keenai Cloud.
- **Bug Fix** - Addressed an issue in which lengthy videos transferred from a Ricoh Theta brand camera could have issues stitching dual fisheye video.
- **Bug Fix** - Old application log files are now removed after a certain period of time, freeing up disk space. In addition, log files should overall be smaller in size.
- **Bug Fix** - Mobi card log files are now saved with a .txt file extension instead of .log

## 7.2.0
What's new in version 7.2.0?

- **Feature** - Display a system tray notification when the app goes into system tray mode. This can be dismissed permanently by clicking the checkbox within the notification.
- **Feature** - The about screen is now accessible through the right-click context menu from the system tray. Check for updates is now a context menu item as well for easier updating.
- **Feature** - File types are indicated on the transfer UI thumbnails for RAW, Video and 360.
- **Feature** - The app now indicates when the logged in user's account has expired by displaying a warning icon next to the account name, a warning icon next to any registered wifi device and a dismiss-able popup notification on app launch.
- **Bug Fix** - The transfer window will now automatically close after 15 seconds of inactivity when transferring from a Mobi card.
